INSERT INTO PRIVEZI (ID_PRIVEZI, ID_PRIVEZ, ID_PLOVILA, CEL_PRIVEZ, DEL1, DEL2) 
SELECT PRIVEZI_SEQ.NEXTVAL, PR.ID_PRIVEZ, PL.ID, 'D', 'D', 'D'
FROM  PLOVILA PL, NNPRIVEZ PR
WHERE 
PL.TRENUTNI_OBJEKT_PRIVEZA = PR.OBJEKT AND PL.TRENUTNA_N_PRIVEZA=PR.N_PRIVEZA
AND PL.ID NOT IN (SELECT ID_PLOVILA FROM PRIVEZI);

INSERT INTO PRIVEZI (ID_PRIVEZI, ID_PRIVEZ, ID_POGODBE, CEL_PRIVEZ, DEL1, DEL2) 
SELECT PRIVEZI_SEQ.NEXTVAL, PR.ID_PRIVEZ, PO.ID_POGODBE, 'D', 'D', 'D'
FROM  M_POGODBE PO, NNPRIVEZ PR
WHERE 
PO.OBJEKT = PR.OBJEKT AND PO.N_PRIVEZA=PR.N_PRIVEZA
AND PO.ID_POGODBE NOT IN (SELECT ID_POGODBE FROM PRIVEZI WHERE ID_POGODBE IS NOT NULL)
AND PO.STATUS IN ('O', 'A');

CREATE TABLE PREVOD_DATA_BKP1 AS SELECT * FROM PREVOD_DATA;
CREATE TABLE PREVOD_ORG_BKP1 AS SELECT * FROM PREVOD_DATA;
CREATE TABLE PREVOD_FORME_BKP1 AS SELECT * FROM PREVOD_DATA;

DELETE FROM PREVOD_DATA WHERE ID_PREVODA IN (SELECT ID_PREVODA FROM PREVOD_FORME WHERE 
PROGRAMNAME in ('PRIJAVEDLL', 'TEDEN', 'EIS', '2008', 'CHARTER', 'CHARTEREXE', 'MAPE', 'MAPE_DLL', 
'MARINAMASTER', 'POMOLI', 'TEDENEXE', 'CHARTER_SOBE', 'POMOLI_7'));
DELETE FROM PREVOD_ORG WHERE ID_PREVODA IN (SELECT ID_PREVODA FROM PREVOD_FORME WHERE 
PROGRAMNAME in ('PRIJAVEDLL', 'TEDEN', 'EIS', '2008', 'CHARTER', 'CHARTEREXE', 'MAPE', 'MAPE_DLL', 
'MARINAMASTER', 'POMOLI', 'TEDENEXE', 'CHARTER_SOBE', 'POMOLI_7'));
DELETE FROM PREVOD_FORME WHERE 
PROGRAMNAME in ('PRIJAVEDLL', 'TEDEN', 'EIS', '2008', 'CHARTER', 'CHARTEREXE', 'MAPE', 'MAPE_DLL', 
'MARINAMASTER', 'POMOLI', 'TEDENEXE', 'CHARTER_SOBE', 'POMOLI_7');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (217, SYSDATE, '5.5', 137, 'pBatch');