CREATE TABLE NNCOFFEE (
	SIFRA VARCHAR2(3 CHAR),
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2(1 CHAR),
	CONSTRAINT NNCOFFEE_PK PRIMARY KEY (SIFRA)
);

CREATE TABLE NNNEWSPAPER (
	SIFRA VARCHAR2(3 CHAR),
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2(1 CHAR),
	CONSTRAINT NNNEWSPAPER_PK PRIMARY KEY (SIFRA)
);

CREATE TABLE PLOVILA_ORDER (
	ID NUMBER NOT NULL,
	ID_PLOVILA NUMBER, 
	NNCOFFEE VARCHAR2(3 CHAR),
	COFFEE_COMMENT VARCHAR2(500 CHAR),
	NNNEWSPAPER VARCHAR2(3 CHAR),
	NEWSPAPER_COMMENT VARCHAR2(500 CHAR),
	CONSTRAINT PLOVILA_ORDER_NNCOFFEE_FK FOREIGN KEY (NNCOFFEE) REFERENCES NNCOFFEE(SIFRA),
	CONSTRAINT PLOVILA_ORDER_NNNEWSPAPER_FK FOREIGN KEY (NNNEWSPAPER) REFERENCES NNNEWSPAPER(SIFRA),
	CONSTRAINT PLOVILA_ORDER_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE PLOVILA_ORDER_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE PLOVILA
DROP COLUMN COFFEE;

ALTER TABLE PLOVILA
DROP COLUMN NEWSPAPER;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (647, SYSDATE, '5.5', 567, 'Coffee newspaper');