ALTER TABLE TIMER_DATA
ADD DESCRIPTION VARCHAR2(250 CHAR);

ALTER TABLE TIMER_DATA
ADD INTERNAL_DESCRIPTION VARCHAR2(250 CHAR);

UPDATE TIMER_DATA
SET DESCRIPTION = TIMER_ID
WHERE DESCRIPTION IS NULL;

UPDATE TIMER_DATA
SET INTERNAL_DESCRIPTION = DESCRIPTION
WHERE INTERNAL_DESCRIPTION IS NULL;

ALTER TABLE POROCILA
ADD ID_TIMER_DATA NUMBER;

CREATE OR REPLACE VIEW V_POROCILA AS (
SELECT P.ID_POROCILA, P.ID_KATEGORIJA, P.ID_POROCILA_RPT, P.STEVILKA_POR, P.NASLOV_POR, P.DATOTEKA_POR, P.OPIS_POROCILA, P.FILTER_POROCILA, P.INTERNI_OPIS, 
KA.OPIS_KATEGORIJE AS KATEGORIJE_OPIS_KATEGORIJE, KA.INTERNI_OPIS AS KATEGORIJE_INTERNI_OPIS, KA.PROGRAM AS KATEGORIJE_PROGRAM
FROM POROCILA P
LEFT OUTER JOIN KATEGORIJE KA ON KA.ID_KATEGORIJA = P.ID_KATEGORIJA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (811, SYSDATE, '5.5', 731, 'Porocila');