CREATE OR REPLACE VIEW V_KUPCIBELEZKE AS (
SELECT KB.ID_KPBELEZKE, KB.IDKUPCA, KB.DATUMKREIRANJA, KB.USERKREIRANJA, KB.BELEZKA, KB.VELJAVNA, KB.TYPE,
KBT.OPIS AS BELEZKE_TYPE_OPIS, KBT.INTERNI_OPIS AS BELEZKE_TYPE_INTERNI_OPIS, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM KUPCIBELEZKE KB
LEFT OUTER JOIN NKUPCIBELEZKE_TYPE KBT ON KBT.ID = KB.TYPE
LEFT OUTER JOIN KUPCI K ON K.ID = KB.IDKUPCA
);

CREATE OR REPLACE VIEW V_PLOVILABELEZKE AS (
SELECT PB.ID_PLBELEZKE, PB.IDPLOVILA, PB.DATUMKREIRANJA, PB.USERKREIRANJA, PB.BELEZKA, PB.VELJAVNA, PB.TYPE,
PBT.OPIS AS BELEZKE_TYPE_OPIS, PBT.INTERNI_OPIS AS BELEZKE_TYPE_INTERNI_OPIS, PL.IME AS PLOVILA_IME, K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM PLOVILABELEZKE PB
LEFT OUTER JOIN NPLOVILABELEZKE_TYPE PBT ON PBT.ID = PB.TYPE
LEFT OUTER JOIN PLOVILA PL ON PL.ID = PB.IDPLOVILA
LEFT OUTER JOIN KUPCI K ON K.ID = PL.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (964, SYSDATE, '5.5', 884, 'Kupci plovila belezke');