CREATE OR REPLACE VIEW V_PRIJAVE AS SELECT 
    P.ID_PRIJAVE,
    P.ID,
    P.OD,
    P.DOO,
    P.DATUM_KREIRANJA,
    P.USER_SPREMEMBE,
    P.CAS_PRIJAVE,
    P.CAS_ODJAVE,
    P.DATUM_SPREMEMBE,
    P.LICENCA_SKIPER,
    P.LICENCA_VHS,
    P.VRSTA_GOSTA AS SIFRA_VRSTE_GOSTA,
    P.STATUS_GOSTA AS SIFRA_STATUSA_GOSTA,
    G.OPIS AS VRSTA_GOSTA,
    S.OPIS AS STATUS_GOSTA,
    P.ID_OSEBE,
    P.DATUM_VHODA_V_DRZAVO,
    P.KRAJ_VHODA_V_DRZAVO,
    P.TIP_OBJEKTA AS SIFRA_TIPA_OBJEKTA,
    T.OPIS AS TIP_OBJEKTA,
    O.IME,
    O.PRIIMEK,
    O.SPOL,
    O.DATUM_ROJSTVA,
    O.VRSTA_DOKUMENTA AS SIFRA_VRSTE_DOKUMENTA,
    D.OPIS AS VRSTA_DOKUMENTA,
    O.N_DOKUMENTA,
    O.MESTO_ROJSTVA,
    D1.OPIS DRZAVA,
    D1.OZNAKA AS OZNAKA_DRZAVE,
    D2.OPIS AS DRZAVA_ROJSTVA,
    D2.OZNAKA AS OZNAKA_DRZAVE_ROJSTVA,
    O.MUP,
    P.ID_PLOVILA,
    P.ID_REZERVACIJE,
	B.IME AS PLOVILA_IME
FROM 
    PRIJAVE P 
    LEFT OUTER JOIN OSEBE O ON O.ID = P.ID_OSEBE
    LEFT OUTER JOIN NNDRZAVE D1 ON D1.SIFRA = O.NDRZAVA
    LEFT OUTER JOIN NNDRZAVE D2 ON D2.SIFRA = O.DRZAVA_ROJSTVA
    LEFT OUTER JOIN NNDOKUME D ON D.SIFRA = O.VRSTA_DOKUMENTA
    LEFT OUTER JOIN NVRSGOS G ON G.SIFRA = P.VRSTA_GOSTA
    LEFT OUTER JOIN NSTAGOS S ON S.SIFRA = P.STATUS_GOSTA
    LEFT OUTER JOIN NNTIP T ON T.SIFRA = P.TIP_OBJEKTA
	LEFT OUTER JOIN PLOVILA B ON B.ID = P.ID_PLOVILA
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2018, SYSDATE, '5.5', 1938, 'Prijava gostov')
;
