CREATE OR REPLACE VIEW V_REZERVAC_POG AS (
  SELECT POG.ID_POGODBE, 
  POG.ID_LASTNIKA,
  POG.ID_PLOVILA,
  NP.ID_PRIVEZ,
  POG.OBJEKT,
  POG.N_PRIVEZA AS PRIVEZ,
  NVL(POG.DATUM_ZACETKA, SYSDATE) AS DATE_FROM,
  NVL(POG.DATUM_KONCA, TO_DATE('31.12.2100', 'dd/MM/yyyy')) + 1 AS DATE_TO
  FROM M_POGODBE POG
  LEFT OUTER JOIN NNPRIVEZ NP ON POG.OBJEKT = NP.OBJEKT AND POG.N_PRIVEZA = NP.N_PRIVEZA
  WHERE POG.STATUS IN ('O', 'A')
  AND POG.OBJEKT IS NOT NULL
  AND POG.N_PRIVEZA IS NOT NULL
);

alter table plovila modify trenutna_n_priveza varchar2(12 char);

alter table plovila modify pogodbena_n_priveza varchar2(12 char);

alter table m_pogodbe modify n_priveza varchar2(12 char);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(426, SYSDATE, '5.5', 346, 'Popravek V_REZERVAC_POG');